Open main menu

Hjælp:Udvidelse:Translate/Installation

This page is a translated version of the page Help:Extension:Translate/Installation and the translation is 54% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎Deutsch (Sie-Form)‎ • ‎English • ‎Kiswahili • ‎Lëtzebuergesch • ‎Nederlands • ‎Türkçe • ‎Zazaki • ‎català • ‎dansk • ‎español • ‎français • ‎italiano • ‎lietuvių • ‎polski • ‎português • ‎português do Brasil • ‎slovenčina • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎العربية • ‎हिन्दी • ‎বাংলা • ‎中文 • ‎日本語 • ‎한국어

Translate-udvidelsen kræver for at fungere en forholdsvis ny version af MediaWiki, pga. dens hurtige udvikling. Målet er at understøtte udviklings-versionen og de ​​to seneste stabile versioner af MediaWiki. I en samlet softwarepakke, kan versionen være for gammel til at opfylde kravene. I så fald skal du downloade en nyere version fra mediawiki.org eller fra Git.

Translate-udvidelsen bruger en kontinuerlig udviklingsmodel, som betyder at vi ikke laver nogen udgivelser. Vi anbefaler, at du henter den nyeste version fra Wikimedia's Git lager og opdaterer jævnligt for at få nye funktioner og fejlrettelser. Kerne-funktionaliteten er ret stabil, men der kan være større ændringer fra tid til anden. Disse er beskrevet i en fil kaldet README i udvidelsens bibliotek. Alle ændringer af Translate-udvidelsen er fagfællebedømt og derfor er udviklings-versionen altid klar til produktivt brug.

Krav

Følgende software er påkrævet for at installere denne udvidelse:

  1. Nyere version af MediaWiki
  2. MySQL database – SQLite (eksperimentiel)
  3. (valgfri) PHPlot for statistik-grafer
  4. (valgfri) Syck for hurtigere YAML parsing
  5. (valgfri) Solr eksempel for advancerede søgefunktioner
  6. Universal Language Selector udvidelse (inkluderet i MLEB)
  7. Internetadgang på serveren for maskinoversættelses-service
PHP must be installed with the curl module to allow for the translation suggestion feature.

MediaWiki needs to have the job queue set up correctly. If your job queue is not processed, nothing will work in Translate.

Desuden kræves shell-adgang for at køre vedligeholdelses-scripts.

Brug af​​ memcached til caching og for eksempel APC PHP-accelerator anbefales i et produktionsmiljø.

Installation instructions

Den anbefalede måde at få Translate-udvidelsen er MediaWiki Language Extension Bundle.

Efter denne linje er det muligt at tilføje konfigurationsindstillinger, der giver nye funktioner eller ændrer måden udvidelsen fungerer. Se 'konfiguration' for en beskrivelse af disse indstillinger.